Create a membership
curl --request POST \
--url https://thirdparty.qonto.com/v2/memberships/invite_employee_or_accountant \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"membership": {
"email": "client@qonto.com",
"first_name": "Bruce Thomas Patrick",
"last_name": "Wayne",
"role": "employee",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/memberships/invite_employee_or_accountant"
payload = { "membership": {
"email": "client@qonto.com",
"first_name": "Bruce Thomas Patrick",
"last_name": "Wayne",
"role": "employee",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
membership: {
email: 'client@qonto.com',
first_name: 'Bruce Thomas Patrick',
last_name: 'Wayne',
role: 'employee',
team_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://thirdparty.qonto.com/v2/memberships/invite_employee_or_accountant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "Bruce Thomas Patrick",
"last_name": "Wayne",
"email": "client@qonto.com",
"locale": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"position": "<string>",
"status": "pending"
}
}Memberships
Create a membership
OAuth scope: membership.write
Creates a single membership and invites the new member to the authenticated organization.
Once the membership is created, the new member receives an invitation email which contains instructions on how to activate the membership and join the authenticated organization.
POST
/
v2
/
memberships
/
invite_employee_or_accountant
Create a membership
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
Returns the membership created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I